# ConnectionSettings class

## Constructors

ConnectionSettings ({required JID jid, required String password, String? host, int? port})

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
host → String?
  The host to connect to. Skips DNS resolution if specified.
  final
jid → JID
  The JID to authenticate as.
  final
password → String
  The password to use during authentication.
  final
port → int?
  The port to connect to. Skips DNS resolution if specified.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
serverJid → JID
  The JID of the server we're connected to.
  no setter

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited